## beast 1.0

=== DESCRIPTION ===
Package: beast
Type: Package
Title: Bayesian Estimation of Change-Points in the Slope of
        Multivariate Time-Series
Version: 1.0
Date: 2017-11-29
Author: Panagiotis Papastamoulis
Maintainer: Panagiotis Papastamoulis <papapast@yahoo.gr>
Description: Assume that a temporal process is composed of contiguous segments with differing slopes and replicated noise-corrupted time series measurements are observed. The unknown mean of the data generating process is modelled as a piecewise linear function of time with an unknown number of change-points. The package infers the joint posterior distribution of the number and position of change-points as well as the unknown mean parameters per time-series by MCMC sampling. A-priori, the proposed model uses an overfitting number of mean parameters but, conditionally on a set of change-points, only a subset of them influences the likelihood. An exponentially decreasing prior distribution on the number of change-points gives rise to a posterior distribution concentrating on sparse representations of the underlying sequence, but also available is the Poisson distribution. See Papastamoulis et al (2017) <arXiv:1709.06111> for a detailed presentation of the method.
License: GPL-2
Imports: RColorBrewer
Depends: R (>= 2.10)
NeedsCompilation: no
Packaged: 2017-11-29 18:49:33 UTC; mqbssppe
Repository: CRAN
Date/Publication: 2017-11-29 19:11:11 UTC

## beast 0.7.4

=== debian/changelog ===
beast (0.7.4-2ubuntu1) oneiric; urgency=low

  * Build with -fpermissive. LP: #831215.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Sep 2011 15:48:23 +0200

beast (0.7.4-2) unstable; urgency=low

  * Disable tests for now.

 -- Alessio Treglia <alessio@debian.org>  Sat, 14 May 2011 16:31:23 +0200

beast (0.7.4-1) unstable; urgency=low

  [ Sam Hocevar (Debian packages) ]
  * debian/control:
    + Loosen glib versioned build-dependency.

  [ Alessio Treglia ]
  * Taking this under Debian Multimedia Maintainers's umbrella,
    ACK'd by Sam Hocevar (Closes: #564799):
    - Move Sam to the Uploaders field.
    - Add myself to the Uploaders field.
    - Move packaging to git, update VCS-* tags properly.
  * Acknowledge NMU: 0.7.1-5.2: thanks to Stefano Zacchiroli for the good job.
  * Acknowledge NMU: 0.7.1-5.1: thanks to Chris Lamb for the good job.
  * New upstream release (Closes: #625854):
    - Overview of Changes in BEAST/BSE 0.7.4:
      + Renamed the project to Better Audio System / Better Sound Engine
      + Moved project website to: http://beast.testbit.eu/
      + Various build system fixes
      + License fixups for some scripts
      + Fixed subnormal tests on AMD64 if SSE unit is in DAZ mode
      + Replaced slow resampler checks with a much faster resampling test
      + Performance improvements for various tests
      + GLib 2.28 unit test porting
      + Speed improvements for record field name
      + Fixed XRUNs in ALSA driver on 64bit systems
      + Added beast.doap
      + PO handling improvements.
      + Updated German translation.
      + Updated Norwegian bokmål translation
      + Added e-Telugu translation
    - Overview of Changes in BEAST/BSE 0.7.2:
      + Moved Beast/BSE to GNU LGPL, use AS-IS license for examples
      + Module changes and additions:
        ArtsCompressor - relicensed to LGPL
        BseContribSampleAndHold - relicensed to LGPL
        DavXTalStrings - Use deterministic random numbers for unit tests.
        BseNoise - Improved random number generator.
      + Switched to autogenerated ChangeLogs
      + Error bell can be muted in beast preferences dialog
      + Added multisample creation/editing command line tool: bsewavetool
      + Support adjustable volume, pitching and drum envelopes in .bsewave files
      + Added Retro Acoustic drum kit
      + New loadable Instruments/Effects:
        BQS Bass Drum E8012
        BQS Slow Hum
        FSM Fresh Water Bass instrument
        FSM Growl Bass instrument
        FSM Synth String Sweep
      + Added support for loading 32bit and 24bit PCM-format WAV files
      + Added support for gcc-4.4 and automake-1.10
      + Added support for guile-1.8, guile-1.6 remains as minimum requirement
      + Various fixes, improvements and much improved test coverage.
      + Bug fixes: #452604, #468229, #344388, #451086, #450724, #454121,
        #491552, #450490, #441936, #336766, #433431, #474332, #474244,
        #456879, #456408, #424897
      + Migrated translation support to use awk, sed and po/Makefile.am.
      + Updated German translation
      + Updated Italien translation
      + Updated Occitan translation
      + Updated Brazilian Portugues translation
      + Updated British English translation
      + Updated Spanish translation
      + Updated Slovenian translation
      + Updated Danish translation
      + Updated French translation
      + Added Norwegian bokmal translation
      + Added Ukrainian translation
  * Switch to DH7 pure form, 3.0 (quilt) format.
  * Bump DH compatibility to 7.
  * Split in several packages:
    - libbse-0.7-4 to provide shared library.
    - libbse-dev to provide the development files.
    - beast to provide the executables.
    - bse-alsa to provide the plugin for ALSA:
      + Replacement for the current bse-alsa built from bse.
    - beast-doc to provide the documentation.
  * debian/control:
    - One-dep-per-line style.
    - Add Homepage field.
    - Bump up debhelper requirement.
    - Build-Depends on libasound2-dev.
    - Build-Depends on autotools-dev.
    - Build with guile-1.8.
    - Drop shared-mime-info build-dependency.
    - Add ${misc:Depends} to beast's Depends field.
    - beast Breaks bse-alsa << 0.7.4.
    - Add Enhances: beast to bse-alsa.
    - Remove unneeded Conflicts on cmt << 1.15, current stable has cmt 1.16
    - Fix lintian "debhelper-but-no-misc-depends" warning.
    - Bump Standards.
    - Add proper Breaks,Replaces fields.
    - Add Suggests: beast-doc to beast's and libbse-dev's stanzas.
  * debian/rules:
    - Don't pass unrecognized options to configure, add --enable-debug=yes.
    - Don't install install symlinks by hand, use dh_link.
    - Exclude plugins,alsa-driver from being treated as shared libraries.
    - Remove manual deletion of /usr/share/mime created files;
      thanks to Ilya Barygin (Closes: #563524).
    - Link with --as-needed.
    - Don't remove data/beast-audio-x-bse.png in the clean target.
    - Install NEWS file as upstream changelog.
    - A bit of clean-up.
    - Get rid of unneeded *.la files (Closes: #621234).
  * debian/copyright:
    - The sources have been relicensed to LGPL.
    - Rewrite as per DEP-5 spec proposal.
    - Add missing copyright,licensing information.
    - Update copyright years.
  * Add watch file.
  * Add gbp config file.
  * Remove patches applied upstream:
    - debian/patches/200_signal_h.diff
    - debian/patches/201_sparc_alignment.diff
    - debian/patches/202_gcc43.diff
    - debian/patches/300_mksignals_bashism.diff
    - debian/patches/400_desktop_file.diff
  * Add patch to fix FTBFS with GCC4.5.
  * Add patch to remove Encoding field from the desktop file.
  * Remove unneeded debian/README.Debian.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 May 2011 12:11:50 +0200

beast (0.7.1-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * new patch 210_volatile.diff: fix cast to volatile pointer.
    Patch by Jakub Wilk. (Closes: #540681)


=== debian/control ===
Source: beast
Section: gnome
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 libasound2-dev,
 libgtk2.0-dev (>= 2.2.2-2),
 libglib2.0-dev (>= 2.2.2),
 libaudiofile-dev,
 libvorbis-dev,
 guile-1.8-dev (>= 1.6.4-2.1),
 libart-2.0-dev,
 libgnomecanvas2-dev,
 libmad0-dev,
 libxml-parser-perl,
 libxml2-utils,
 imagemagick,
 gettext
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/beast.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/beast.git
Homepage: http://beast.testbit.eu/

Package: beast
Architecture: any
Depends: ${shlibs:Depends},
 libbse-0.7-4 (= ${binary:Version}),
 ${misc:Depends}
Recommends: bse-alsa
Breaks: bse-alsa (<< 0.7.4)
Suggests: beast-doc
Description: music synthesis and composition framework
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 BEAST also has support for scriptability in Scheme using Guile.

Package: bse-alsa
Section: sound
Architecture: any
Depends: ${shlibs:Depends},
 libbse-0.7-4 (= ${binary:Version}),
 ${misc:Depends}
Enhances: beast
Description: ALSA plugin for BEAST
 BEAST/BSE is a plugin-based graphical system where you can link
 objects to each other and generate sound.
 .
 This package provides a plugin for BEAST that uses ALSA (the
 Advanced Linux Sound Architecture) to output sound.

Package: libbse-0.7-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: beast (<< 0.7.4)
Replaces: beast (<< 0.7.4)
Description: music synthesis and composition framework - shared library
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 This package provides the shared library.

Package: libbse-dev
Section: libdevel
Architecture: all
Depends: libbse-0.7-4 (>= ${source:Version}),
 libbse-0.7-4 (<< ${source:Upstream-Version}+1~),
 libgtk2.0-dev,
 libglib2.0-dev,
 ${misc:Depends}
Breaks: beast (<< 0.7.4)
Replaces: beast (<< 0.7.4)
Suggests: beast-doc
Description: music synthesis and composition framework - development files
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 This package provides the development files.

Package: beast-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: beast (<< 0.7.4)
Replaces: beast (<< 0.7.4)
Description: Documentation for BEAST/BSE
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 This package provides the documentation files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
LDFLAGS+=-Wl,--as-needed

CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
			--enable-debug=yes \
	  		--enable-osspcm=/dev/dsp \
	  		--enable-ossmidi=/dev/midi

override_dh_auto_install:
	dh_auto_install
	convert debian/tmp/usr/share/pixmaps/beast.png -geometry 32x32 \
		debian/tmp/usr/share/pixmaps/beast.xpm
	find debian/tmp -type f -name '*.la' -delete

override_dh_makeshlibs:
	dh_makeshlibs -pbse-alsa -X/usr/lib/bse
	dh_makeshlibs -plibbse-0.7-4 -X/usr/lib/bse
	dh_makeshlibs --remaining-packages

override_dh_auto_test:
override_dh_installchangelogs:
	dh_installchangelogs NEWS

## beast 0.7.8

=== debian/changelog ===
beast (0.7.8-1) experimental; urgency=low

  * New upstream release.
  * Fix 400-format-security.patch.
  * Refresh patches.
  * Fix Vcs fields to make Lintian happy.
  * Small improvement to debian/copyright.
  * Bump Standards-Version to 3.9.4.

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Feb 2013 16:47:35 +0000

beast (0.7.6-1) experimental; urgency=low

  * New upstream release.
  * Refresh debian/patches/100_deprecated.diff.
  * Improve debian/patches/400-format-security.patch.
  * Remove debian/patches/*gcc4*.patch patches, applied upstream.
  * Build-Depends on groff.

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Nov 2012 10:05:27 +0000

beast (0.7.4-5) unstable; urgency=low

  * debian/patches/500-gcc47.patch:
    - Cherry-pick some other patches from upstream VCS to fix FTBFS
      with GCC 4.7. (Closes: #672030)

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Nov 2012 11:53:57 +0000

beast (0.7.4-4) unstable; urgency=low

  * Refresh debian/patches/203_gcc45.patch.
  * Add patch to prevent FTBFS with GCC's hardening flags
    enabled (Closes: #647040).

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Nov 2011 02:57:41 +0100

beast (0.7.4-3) unstable; urgency=low

  * Build with -fpermissive (Closes: #642011 LP: #831215).
  * Build-dep on libcloog-ppl-dev.

 -- Alessio Treglia <alessio@debian.org>  Fri, 23 Sep 2011 09:31:00 +0200

=== debian/control ===
Source: beast
Section: gnome
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 7.0.50~),
 gettext,
 groff,
 guile-1.8-dev (>= 1.6.4-2.1),
 imagemagick,
 libart-2.0-dev,
 libasound2-dev,
 libaudiofile-dev,
 libcloog-ppl-dev,
 libglib2.0-dev (>= 2.2.2),
 libgnomecanvas2-dev,
 libgtk2.0-dev (>= 2.2.2-2),
 libmad0-dev,
 libvorbis-dev,
 libxml-parser-perl,
 libxml2-utils
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/beast.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/beast.git
Homepage: http://beast.testbit.eu/

Package: beast
Architecture: any
Depends:
 libbse-0.7-4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 bse-alsa
Breaks:
 bse-alsa (<< 0.7.4)
Suggests:
 beast-doc
Description: music synthesis and composition framework
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 BEAST also has support for scriptability in Scheme using Guile.

Package: bse-alsa
Section: sound
Architecture: any
Depends:
 libbse-0.7-4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Enhances:
 beast
Description: ALSA plugin for BEAST
 BEAST/BSE is a plugin-based graphical system where you can link
 objects to each other and generate sound.
 .
 This package provides a plugin for BEAST that uses ALSA (the
 Advanced Linux Sound Architecture) to output sound.

Package: libbse-0.7-4
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 beast (<< 0.7.4)
Replaces:
 beast (<< 0.7.4)
Description: music synthesis and composition framework - shared library
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 This package provides the shared library.

Package: libbse-dev
Section: libdevel
Architecture: all
Depends:
 libbse-0.7-4 (<< ${source:Upstream-Version}+1~),
 libbse-0.7-4 (>= ${source:Version}),
 libglib2.0-dev,
 libgtk2.0-dev,
 ${misc:Depends}
Breaks:
 beast (<< 0.7.4)
Replaces:
 beast (<< 0.7.4)
Suggests:
 beast-doc
Description: music synthesis and composition framework - development files
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 This package provides the development files.

Package: beast-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 beast (<< 0.7.4)
Replaces:
 beast (<< 0.7.4)
Description: Documentation for BEAST/BSE
 BEAST/BSE is a plugin-based graphical system where you can link objects
 to each other and generate sound.
 .
 This package provides the documentation files.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-LDFLAGS+=-Wl,--as-needed
-
-CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
+export LDFLAGS+=-Wl,--as-needed
+export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
 
 %:
 	dh $@ --parallel --with autotools_dev

=== debian/watch ===
version=3
http://dist.testbit.eu/beast/v(.*)/beast-([\d\.]+)\.tar\.bz2

## beast 1.1

=== DESCRIPTION ===
Package: beast
Type: Package
Title: Bayesian Estimation of Change-Points in the Slope of
        Multivariate Time-Series
Version: 1.1
Date: 2018-03-16
Author: Panagiotis Papastamoulis
Maintainer: Panagiotis Papastamoulis <papapast@yahoo.gr>
Description: Assume that a temporal process is composed of contiguous segments with differing slopes and replicated noise-corrupted time series measurements are observed. The unknown mean of the data generating process is modelled as a piecewise linear function of time with an unknown number of change-points. The package infers the joint posterior distribution of the number and position of change-points as well as the unknown mean parameters per time-series by MCMC sampling. A-priori, the proposed model uses an overfitting number of mean parameters but, conditionally on a set of change-points, only a subset of them influences the likelihood. An exponentially decreasing prior distribution on the number of change-points gives rise to a posterior distribution concentrating on sparse representations of the underlying sequence, but also available is the Poisson distribution. See Papastamoulis et al (2017) <arXiv:1709.06111> for a detailed presentation of the method.
License: GPL-2
Imports: RColorBrewer
Depends: R (>= 2.10)
NeedsCompilation: no
Packaged: 2018-03-16 07:12:36 UTC; mqbssppe
Repository: CRAN
Date/Publication: 2018-03-16 07:42:36 UTC

## beast 1.2

=== DESCRIPTION ===
Package: beast
Type: Package
Title: Bayesian Estimation of Change-Points in the Slope of
        Multivariate Time-Series
Version: 1.2
Date: 2026-02-04
Authors@R: 
    c(person(given = "Panagiotis",
             family = "Papastamoulis",
             email = "papapast@yahoo.gr",
             role = c( "aut", "cre"),
             comment = c(ORCID = "0000-0001-9468-7613")))
Maintainer: Panagiotis Papastamoulis <papapast@yahoo.gr>
Description: Assume that a temporal process is composed of contiguous segments with differing slopes and replicated noise-corrupted time series measurements are observed. The unknown mean of the data generating process is modelled as a piecewise linear function of time with an unknown number of change-points. The package infers the joint posterior distribution of the number and position of change-points as well as the unknown mean parameters per time-series by MCMC sampling. A-priori, the proposed model uses an overfitting number of mean parameters but, conditionally on a set of change-points, only a subset of them influences the likelihood. An exponentially decreasing prior distribution on the number of change-points gives rise to a posterior distribution concentrating on sparse representations of the underlying sequence, but also available is the Poisson distribution. See Papastamoulis et al (2019) <doi:10.1515/ijb-2018-0052> for a detailed presentation of the method.
License: GPL-2
Imports: RColorBrewer
Depends: R (>= 2.10)
NeedsCompilation: no
Packaged: 2026-02-04 08:17:55 UTC; panos
Author: Panagiotis Papastamoulis [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-9468-7613>)
Repository: CRAN
Date/Publication: 2026-02-04 08:50:02 UTC
